Package com.tibco.patterns.learn.rlink

## Class PredictOptions

- java.lang.Object
- - com.tibco.patterns.learn.rlink.PredictOptions

-     public final class PredictOptions
      extends java.lang.Object

  Holds all options for calculating prediction using a Learn model. Immutable class.

  Objects of this class are used to pass the options available when making a prediction using an ibi Patterns Learn model.

  See Also:
    `RLink.predict(int,double[],PredictOptions)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PredictOptions()` | Creates object with default options.
    `PredictOptions​(boolean calcSignificance, Confidence confMeasure)` | Creates object with specified options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getCalcSignificance()` | Return the include significance setting.
    `Confidence` | `getConfidence()` | Returns the confidence measure options.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PredictOptions

          public PredictOptions()

      Creates object with default options. Significance values are calculated and the model default confidence measure is returned.

    - #### PredictOptions

          public PredictOptions​(boolean calcSignificance,
                                Confidence confMeasure)

      Creates object with specified options.
      Parameters:
        `calcSignificance` - If true feature significance values are calculated for true predictions. If false significance values are not calculated, so it can save computation time.
        `confMeasure` - The confidence measure to return. If null, RLinkPredictOptions.DfltConf() is used.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCalcSignificance

          public boolean getCalcSignificance()

      Return the include significance setting.
      Returns:
        true if significance values are returned with model predictions.

    - #### getConfidence

          public Confidence getConfidence()

      Returns the confidence measure options.
      Returns:
        the internal reference to the confidence measure options.